
Synnefo - Feature # 73

Status: Closed Priority: High

Author: Constantinos Venetsanopoulos Category: old_synnefo

Created: 12/22/2010 Assignee: Christos Psaltis

Updated: 02/08/2013 Due date:

Subject: Χρώματα δεξιού μενού στο list view

Description

Ανάλογα με τις επιλογές από τη λίστα των μηχανημάτων, θα έχουμε κάποια εικονίδια που θα είναι ενεργοποιημένα και θα μπορούν

να πατηθούν και κάποια που θα είναι απενεργοποιημένα. Η ακριβής αντιστοίχιση θα ανέβει σε αρχείο στο Files. Για να μπορούμε να

δούμε κάτι, θεωρήστε ότι έχουμε 2 μηχανήματα επιλεγμένα και άρα οι ενεργοποιημένες επιλογές είναι: reboot, shutdown, destroy,

add to group. Όλα τα άλλα απενεργοποιημένα.

Απενεργοποιημένα εικονίδια:

Το αχνό γκρί που υπάρχει τώρα

Ενεργοποιημένα εικονίδια:

Σκούρο γκρι και με hover να γίνονται μαύρα, όπως δηλαδή και το δυναμικό μενού στο icon view

History

#1 - 12/23/2010 02:34 pm - Constantinos Venetsanopoulos

Έχει ανέβει το ανάλογο αρχείο που επεξηγεί όλες τις επιλογές του δεξιού μενού ανάλογα με τα επιλεγμένα VMs --> instances_list_view_menu.txt

#2 - 01/19/2011 03:08 pm - Constantinos Venetsanopoulos

- Priority changed from Medium to High

#3 - 02/01/2011 03:16 pm - Dimitris Moraitis

- Status changed from New to Feedback

- Assignee changed from Christos Psaltis to Dimitris Moraitis

Έγινε. Δεν ενεργοποιούνται μόνο τα attach/detach disk επειδή δεν έχουμε ακόμα πληροφορίες για τους δίσκους.

#4 - 02/01/2011 05:44 pm - Constantinos Venetsanopoulos

Έγινε, τα attach/detach τα αφήνουμε προς το παρόν, απλά να γίνουν οι απενεργοποιημένες επιλογές ακόμα πιο αχνές για να υπάρχει σαφής διαφορά

(ακόμα πιο ανοιχτό γκρι)

#5 - 02/01/2011 05:44 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

#6 - 02/04/2011 06:12 pm - Christos Psaltis

- Status changed from Assigned to Feedback

- Assignee changed from Dimitris Moraitis to Christos Psaltis
έγιναν πιο ανοιχτόχρωμα και έφυγε το opacity

#7 - 02/11/2011 11:39 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

#8 - 02/11/2011 08:10 pm - Christos Psaltis

- Status changed from Assigned to Feedback

έγινε

#9 - 02/15/2011 02:56 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

οκ, παίζουν μια χαρά και ανάλογα με ποια μηχανήματα διαλέγουμε, είδα ότι κοιτάτε και το status των επιλεγμένων. Επίσης παίζει σωστά στην

περίπτωση που διαλέξω μηχανήματα και από τα δύο panes.

Μόνο μου φαίνεται ότι είναι πολύ έντονο το μαύρο και είναι αρκετά κολλημένες οι επιλογές. Ίσως είναι καλύτερο το χρώμα των διαθέσιμων

επιλογών να γίνει το γκρί που είναι και οι επιλογές reboot, shutdown στο standard view και να γίνονται υπογραμμισμένες μαύρες μόνο κατά το hover.

Και να ανοίξουν ελάχιστα τα περιθώρια μεταξύ τους

#10 - 02/22/2011 01:17 pm - Christos Psaltis

- Status changed from Assigned to Feedback

έγινε

#11 - 02/22/2011 06:16 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed

#12 - 02/08/2013 06:46 pm - Vangelis Koukis

- Category set to old_synnefo
